/*
Bryce Getsinger
CPSC 1011, Section 004, 11/13/2022
Lab 10B, a lab which compresses an HD prohograph using pointers,
structures, and functions in a multi-file program.
*/

#include "defs.h"

fileInfo getHeader() {
	fileInfo headerVals;
	fileInfo headerHalfVals;
	fscanf(stdin, " %s", headerVals.type);
	fscanf(stdin, " %d", &headerVals.width);
	fscanf(stdin, " %d", &headerVals.height);
	fscanf(stdin, " %d", &headerVals.maxColor);
	strcpy(headerHalfVals.type, headerVals.type);
	headerHalfVals.width = headerVals.width / 2;
	headerHalfVals.height = headerVals.height / 2;
	headerHalfVals.maxColor = headerVals.maxColor;
	return headerHalfVals;
}
